Subject: Problems compiling tcsh
From: [email-masked] (Dr. Volker Zell)

7 Apr 1998 02:54:37 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.106)
Content-Type: text/plain; charset=US-ASCII
To: Sergey Okhapkin <[email-masked]>
Cc: [email-masked]

Hi Sergey

I downloaded tcsh 6.06 source code and installed your config.h
In the provided Makefile I changed the CC line from

  CC=     gcc -Wall -pipe -B/bin/ # -ansi -pedantic

to 

  CC=     gcc -Wall  

The the make gives me the following error:
(By the way I'm using your latest dll and egcs 1.0.2 instead of the
orignal compiler suite.)

What have you done in order to get this compiled ? Any hints ?

  Ciao
    Volker
_______________________________________________________________

grep 'ERR_' sh.err.c | grep '^#define' >> sh.err.h
gcc -Wall  -E -I. -I..    -D_h_tc_const\
    tc.const.c | grep 'Char STR' | \
    sed -e 's/Char \([a-zA-Z0-9_]*\)\[\].*/extern Char \1[];/' | \
    sort >> tc.const.h
gcc -Wall  -c -O2 -I. -I..    sh.c
In file included from sh.h:387,
                 from sh.c:38:
sh.types.h:563: warning: redefinition of `pid_t'
D:\cygnus\b19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\egcs-2.90.27\../../../../i386-cygwin32/include/sys/types.h:90: warning: `pid_t' previously declared here
sh.types.h:568: conflicting types for `speed_t'
D:\cygnus\b19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\egcs-2.90.27\../../../../i386-cygwin32/include/sys/termios.h:186: previous declaration of `speed_t'
In file included from tc.h:44,
                 from sh.h:1067,
                 from sh.c:38:
tc.os.h:547: conflicting types for `sigpause'
D:\cygnus\b19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\egcs-2.90.27\../../../../i386-cygwin32/include/sys/signal.h:44: previous declaration of `sigpause'
sh.c: In function `main':
sh.c:227: warning: implicit declaration of function `close'
sh.c:264: warning: implicit declaration of function `getuid'
sh.c:265: warning: implicit declaration of function `getgid'
sh.c:266: warning: implicit declaration of function `geteuid'
sh.c:267: warning: implicit declaration of function `getegid'
sh.c:453: warning: implicit declaration of function `bsd_signal'
sh.c:642: warning: implicit declaration of function `getpid'
sh.c:900: warning: implicit declaration of function `isatty'
sh.c:945: warning: implicit declaration of function `getpgrp'
sh.c:967: warning: assignment makes pointer from integer without a cast
sh.c:971: warning: assignment makes pointer from integer without a cast
sh.c:976: warning: assignment makes pointer from integer without a cast
sh.c:1016: warning: initialization makes pointer from integer without a cast
sh.c:1039: warning: implicit declaration of function `setpgrp'
sh.c: In function `process':
sh.c:1904: warning: implicit declaration of function `alarm'
make: *** [sh.o] Error 1

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".